use crate::protobuf::rpc;

const SUBJECT: &str = "bet.beteran.c2se.common.identity";

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckUsernameForDuplicationRequest {
  #[prost(string, tag = "1")]
  pub username: ::prost::alloc::string::String,
}

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckUsernameForDuplicationResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(bool, optional, tag = "2")]
  pub duplicated: ::core::option::Option<bool>,
}

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckNicknameForDuplicationRequest {
  #[prost(string, tag = "1")]
  pub nickname: ::prost::alloc::string::String,
}

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CheckNicknameForDuplicationResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(bool, optional, tag = "2")]
  pub duplicated: ::core::option::Option<bool>,
}

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaRequest {}

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CaptchaResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<rpc::Error>,
  #[prost(string, optional, tag = "2")]
  pub token: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, optional, tag = "3")]
  pub image: ::core::option::Option<::prost::alloc::string::String>,
}
